Bug 167154 - foomatic doesn not recognize HP 5000 Laserjet
foomatic doesn not recognize HP 5000 Laserjet
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-08-30 23:27 EDT by kachda
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.0.2-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-09 05:16:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/usr/share/foomatic/db/source/printer/HP-LaserJet_5000.xml (1.54 KB, text/plain)
2005-09-05 11:11 EDT, Tim Waugh
no flags Details

  None (edit)
Description kachda 2005-08-30 23:27:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
When running system-config-printer-gui, I tried adding a Networked Printer (JetDirect), and pointed it to a HP 5000n Laserjet. Foomatic was unable to recognize it, and defaulted to Postscript. This works, but might be a good idea to add this printer to the foomatic database.

The output from foomatic is as below -

No IEEE 1284 match: {'model': 'HP LaserJet 5000 Series', 'description': 'Hewlett-Packard LaserJet 5000 Series', 'cmdset': 'PJL,MLC,PCL,PCLXL,POSTSCRIPT', 'manufacturer': 'Hewlett-Packard'}

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run system-config-printer-gui
2.Try adding a HP 5000 Laserjet as a Networked JetDirect


Additional info:
Comment 1 Tim Waugh 2005-09-05 11:11:04 EDT
Created attachment 118474 [details]

Please save this attachment and copy it to:


Then run "rm -f /var/cache/foomatic/printconf.pickle" and try to create a queue

again.	Is the correct printer model automatically selected from the list?
Comment 2 kachda 2005-09-09 04:38:38 EDT
Yes, the correct printer gets select now.
Comment 3 Tim Waugh 2005-09-09 05:16:13 EDT
Great, thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.